Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.ClippingPlaneSurface

    java.lang.Object
      igeo.io.IRhino3dm.RhinoObject
          igeo.io.IRhino3dm.Geometry
              igeo.io.IRhino3dm.Surface
                  igeo.io.IRhino3dm.PlaneSurface
                      igeo.io.IRhino3dm.ClippingPlaneSurface

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.ClippingPlaneSurface

extends IRhino3dm.PlaneSurface

Nested Class Summary

Nested classes/interfaces inherited from class igeo.io.IRhino3dm.Surface
`IRhino3dm.Surface.ISO`

Field Summary
`static java.lang.String` | `uuid`

Fields inherited from class igeo.io.IRhino3dm.PlaneSurface
`domain, extents, plane`

Fields inherited from class igeo.io.IRhino3dm.RhinoObject
`attributes, objectTypeAnnotation, objectTypeAny, objectTypeBeam, objectTypeBrep, objectTypeCage, objectTypeClipPlane, objectTypeCurve, objectTypeDetail, objectTypeEdgeFilter, objectTypeExtrusion, objectTypeGrip, objectTypeHatch, objectTypeInstanceDefinition, objectTypeInstanceReference, objectTypeLayer, objectTypeLight, objectTypeLoop, objectTypeMaterial, objectTypeMesh, objectTypeMeshEdge, objectTypeMeshFace, objectTypeMeshVertex, objectTypeMorphControl, objectTypePhantom, objectTypePoint, objectTypePointset, objectTypePolyledgeFilter, objectTypePolysrfFilter, objectTypeSurface, objectTypeTextDot, objectTypeUnknown, objectTypeUserData`

Constructor Summary
`IRhino3dm.ClippingPlaneSurface()`

Method Summary
`IRhino3dm.UUID` | `getClassUUID()`
`int` | `getType()`

Methods inherited from class igeo.io.IRhino3dm.PlaneSurface
`createIGeometry, createIObject, domain, isValid, read`

Methods inherited from class igeo.io.IRhino3dm.Surface
`getInt, readIso`

Methods inherited from class igeo.io.IRhino3dm.RhinoObject
`read, setAttributes, setAttributesToIObject, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uuid

    public static final java.lang.String uuid

See Also:
  Constant Field Values

Constructor Detail

### IRhino3dm.ClippingPlaneSurface

    public IRhino3dm.ClippingPlaneSurface()

Method Detail

### getClassUUID

    public IRhino3dm.UUID getClassUUID()

  Overrides:
    `getClassUUID` in class `IRhino3dm.PlaneSurface`

### getType

    public int getType()

  Overrides:
    `getType` in class `IRhino3dm.Surface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD